path: /build/build/libindicator-dev-libs-3-12.10.1+1.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-test prefix" emerge dev-libs/libindicator:3 -pv -t && \
    USE="-test prefix" emerge -j ${JOBS} --nodeps dev-libs/libindicator:3 && \
    export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && \
    export LUET_PORTAGE_IGNORE_TAR_WARNING=1 && \
    export LUET_PORTAGE_PKGMETA=1 && \
    export LUET_PORTAGE_PKGFILES=1 && \
    eval 'rm -rf /pkgdir/ || true' && mkdir -p /pkgdir/libindicator && \
    luet-portage --dir /pkgdir/libindicator dev-libs/libindicator:3 && \
    eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/* || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/anise-macaroni-funtoo-dev-tree:149a7b1ce03373c012c4fba390dbc8715d1cb1654d632547b6f24846a3e70af7
  package:
    name: libindicator
    version: 12.10.1+1
    category: dev-libs-3
    use_flags:
    - -test
    - prefix
    requires:
    - name: macaroni-funtoo-race14
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: A set of symbols and convience functions that all indicators would
      like to use
    uri:
    - https://launchpad.net/libindicator
    license: GPL-3
    buildtimestamp: 2025-05-13 18:34:45.32485059 +0000 UTC m=+322.391016080
    labels:
      DEPEND: '>=dev-libs/glib-2.22[-mgorny(-)] >=x11-libs/gtk+-3.2:3[-mgorny(-)]
        dev-util/glib-utils virtual/pkgconfig[-mgorny(-)] test? ( dev-util/dbus-test-runner
        ) >=app-portage/elt-patches-20170815 || ( >=sys-devel/automake-1.16.5:1.16
        ) >=sys-devel/autoconf-2.71 >=sys-devel/libtool-2.4 test? ( !prefix? ( x11-base/xorg-server[xvfb]
        ) x11-apps/xhost )'
      IUSE: test test abi_x86_32 abi_x86_64 abi_x86_x32 abi_mips_n32 abi_mips_n64
        abi_mips_o32 abi_s390_32 abi_s390_64
      RDEPEND: '>=dev-libs/glib-2.22[-mgorny(-)] >=x11-libs/gtk+-3.2:3[-mgorny(-)]'
      emerge.packages: dev-libs/libindicator:3
      kit: dev-kit
      original.package.name: dev-libs/libindicator
      original.package.slot: "3"
      original.package.version: 12.10.1-r301
    treedir: /build/packages
  package_dir: /pkgdir/libindicator
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/anise-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: e1bae8217f229876f290d2686a3d507127ae6730808d0a5098deeb823ad3ee6d
compressiontype: zstd
files:
- usr/include/libindicator3-0.4/libindicator/indicator-desktop-shortcuts.h
- usr/include/libindicator3-0.4/libindicator/indicator-image-helper.h
- usr/include/libindicator3-0.4/libindicator/indicator-object.h
- usr/include/libindicator3-0.4/libindicator/indicator-service-manager.h
- usr/include/libindicator3-0.4/libindicator/indicator-service.h
- usr/include/libindicator3-0.4/libindicator/indicator.h
- usr/lib64/libdummy-indicator-blank.so
- usr/lib64/libdummy-indicator-entry-func.so
- usr/lib64/libdummy-indicator-null.so
- usr/lib64/libdummy-indicator-signaler.so
- usr/lib64/libdummy-indicator-simple.so
- usr/lib64/libdummy-indicator-visible.so
- usr/lib64/libindicator3.so
- usr/lib64/libindicator3.so.7
- usr/lib64/libindicator3.so.7.0.0
- usr/lib64/pkgconfig/indicator3-0.4.pc
- usr/libexec/indicator-loader3
- usr/share/doc/libindicator-12.10.1-r301/AUTHORS.bz2
- usr/share/doc/libindicator-12.10.1-r301/ChangeLog.bz2
- usr/share/doc/libindicator-12.10.1-r301/NEWS.bz2
- usr/share/libindicator/80indicator-debugging
- var/db/pkg/dev-libs/libindicator-12.10.1-r301/BUILD_TIME
- var/db/pkg/dev-libs/libindicator-12.10.1-r301/CATEGORY
- var/db/pkg/dev-libs/libindicator-12.10.1-r301/CBUILD
- var/db/pkg/dev-libs/libindicator-12.10.1-r301/CFLAGS
- var/db/pkg/dev-libs/libindicator-12.10.1-r301/CHOST
- var/db/pkg/dev-libs/libindicator-12.10.1-r301/CONTENTS
- var/db/pkg/dev-libs/libindicator-12.10.1-r301/COUNTER
- var/db/pkg/dev-libs/libindicator-12.10.1-r301/CTARGET
- var/db/pkg/dev-libs/libindicator-12.10.1-r301/CXX
- var/db/pkg/dev-libs/libindicator-12.10.1-r301/CXXFLAGS
- var/db/pkg/dev-libs/libindicator-12.10.1-r301/DEFINED_PHASES
- var/db/pkg/dev-libs/libindicator-12.10.1-r301/DEPEND
- var/db/pkg/dev-libs/libindicator-12.10.1-r301/DESCRIPTION
- var/db/pkg/dev-libs/libindicator-12.10.1-r301/EAPI
- var/db/pkg/dev-libs/libindicator-12.10.1-r301/FEATURES
- var/db/pkg/dev-libs/libindicator-12.10.1-r301/HOMEPAGE
- var/db/pkg/dev-libs/libindicator-12.10.1-r301/INHERITED
- var/db/pkg/dev-libs/libindicator-12.10.1-r301/IUSE
- var/db/pkg/dev-libs/libindicator-12.10.1-r301/IUSE_EFFECTIVE
- var/db/pkg/dev-libs/libindicator-12.10.1-r301/KEYWORDS
- var/db/pkg/dev-libs/libindicator-12.10.1-r301/LDFLAGS
- var/db/pkg/dev-libs/libindicator-12.10.1-r301/LICENSE
- var/db/pkg/dev-libs/libindicator-12.10.1-r301/NEEDED
- var/db/pkg/dev-libs/libindicator-12.10.1-r301/NEEDED.ELF.2
- var/db/pkg/dev-libs/libindicator-12.10.1-r301/PF
- var/db/pkg/dev-libs/libindicator-12.10.1-r301/PROVIDES
- var/db/pkg/dev-libs/libindicator-12.10.1-r301/RDEPEND
- var/db/pkg/dev-libs/libindicator-12.10.1-r301/REQUIRES
- var/db/pkg/dev-libs/libindicator-12.10.1-r301/SIZE
- var/db/pkg/dev-libs/libindicator-12.10.1-r301/SLOT
- var/db/pkg/dev-libs/libindicator-12.10.1-r301/USE
- var/db/pkg/dev-libs/libindicator-12.10.1-r301/environment.bz2
- var/db/pkg/dev-libs/libindicator-12.10.1-r301/libindicator-12.10.1-r301.ebuild
- var/db/pkg/dev-libs/libindicator-12.10.1-r301/repository
package_cacheimage: ""
runtime:
  name: libindicator
  version: 12.10.1+1
  category: dev-libs-3
  use_flags:
  - -test
  - prefix
  requires:
  - name: glib
    version: '>=0'
    category: dev-libs-2
  - name: gtk+
    version: '>=0'
    category: x11-libs-3
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: A set of symbols and convience functions that all indicators would
    like to use
  uri:
  - https://launchpad.net/libindicator
  license: GPL-3
  labels:
    DEPEND: '>=dev-libs/glib-2.22[-mgorny(-)] >=x11-libs/gtk+-3.2:3[-mgorny(-)] dev-util/glib-utils
      virtual/pkgconfig[-mgorny(-)] test? ( dev-util/dbus-test-runner ) >=app-portage/elt-patches-20170815
      || ( >=sys-devel/automake-1.16.5:1.16 ) >=sys-devel/autoconf-2.71 >=sys-devel/libtool-2.4
      test? ( !prefix? ( x11-base/xorg-server[xvfb] ) x11-apps/xhost )'
    IUSE: test test abi_x86_32 abi_x86_64 abi_x86_x32 abi_mips_n32 abi_mips_n64 abi_mips_o32
      abi_s390_32 abi_s390_64
    RDEPEND: '>=dev-libs/glib-2.22[-mgorny(-)] >=x11-libs/gtk+-3.2:3[-mgorny(-)]'
    emerge.packages: dev-libs/libindicator:3
    kit: dev-kit
    original.package.name: dev-libs/libindicator
    original.package.slot: "3"
    original.package.version: 12.10.1-r301
